import * as c from "monaco-editor";
const g = (t, n) => {
  const e = t.getOffsetAt(n.getStartPosition()), i = t.getOffsetAt(n.getEndPosition()), a = t.getPositionAt(e), f = Math.max(e, i - 1), r = t.getPositionAt(f), s = Math.max(1, a.lineNumber), o = Math.max(s, r.lineNumber);
  return new c.Range(s, 1, o, t.getLineMaxColumn(o));
};
export {
  g as rangeToWholeLine
};
